Package com.collabnet.ce.soap60.integratedapps.util

# Class IntegratedAppCookie.AuthParams

java.lang.Object
com.collabnet.ce.soap60.integratedapps.util.IntegratedAppCookie.AuthParams

Enclosing class:
  `IntegratedAppCookie`

public static class IntegratedAppCookie.AuthParams extends Object
Wrapper for information stored in cookie

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthParams()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getIntegratedAppid()`
  Get Integrated App Id
  `String`
  `getIntegratedAppURL()`
  Get the integrated application's base URL/the host URL for the integrated app.
  `String`
  `getProjectId()`
  Get ProjectId
  `String`
  `getProjectPath()`
  Get the project path of the integrated app.
  `String`
  `getSoapSessionId()`
  Get soap session id
  `String`
  `getWebSessionId()`
  Get web session id/'jsessionid'
  `String`
  `isLoggedIn()`
  get the user Logged In status
  `void`
  `setIntegratedAppid(String mIntegratedAppid)`
  Set the Integrated App Id
  `void`
  `setIntegratedAppURL(String integratedAppUrl)`
  Set the integrated application's base URL.
  `void`
  `setLoggedIn(String loggedIn)`
  set the user logged in status
  `void`
  `setProjectId(String mProjectId)`
  Set the Project Id
  `void`
  `setProjectPath(String projectPath)`
  Set the project path to which the integrated app.
  `void`
  `setSoapSessionId(String soapSessionId)`
  Set the soap session id
  `void`
  `setWebSessionId(String webSessionId)`
  Set the web session id/'jsessionid'

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthParams

    public AuthParams()

- ## Method Details

  - ### isLoggedIn

    public String isLoggedIn()
    get the user Logged In status
    Returns:
      true if user is logged in otherwise false

  - ### setLoggedIn

    public void setLoggedIn(String loggedIn)
    set the user logged in status
    Parameters:
      `loggedIn` -

  - ### getIntegratedAppid

    public String getIntegratedAppid()
    Get Integrated App Id
    Returns:
      mIntegratedAppid

  - ### setIntegratedAppid

    public void setIntegratedAppid(String mIntegratedAppid)
    Set the Integrated App Id
    Parameters:
      `mIntegratedAppid` -

  - ### getProjectId

    public String getProjectId()
    Get ProjectId
    Returns:
      ProjectId

  - ### setProjectId

    public void setProjectId(String mProjectId)
    Set the Project Id
    Parameters:
      `mProjectId` -

  - ### getIntegratedAppURL

    public String getIntegratedAppURL()
    Get the integrated application's base URL/the host URL for the integrated app.
    Returns:
      Integrated Application base URL

  - ### setIntegratedAppURL

    public void setIntegratedAppURL(String integratedAppUrl)
    Set the integrated application's base URL.
    Parameters:
      `integratedAppUrl` - integrated applications base URL

  - ### getProjectPath

    public String getProjectPath()
    Get the project path of the integrated app.
    Returns:
      project path of the integrated app.

  - ### setProjectPath

    public void setProjectPath(String projectPath)
    Set the project path to which the integrated app. belongs
    Parameters:
      `projectPath` - project path to which the integrated application is associated

  - ### getSoapSessionId

    public String getSoapSessionId()
    Get soap session id
    Returns:
      soap session id

  - ### setSoapSessionId

    public void setSoapSessionId(String soapSessionId)
    Set the soap session id
    Parameters:
      `soapSessionId` - soap session id

  - ### getWebSessionId

    public String getWebSessionId()
    Get web session id/'jsessionid'
    Returns:
      mWebSessionId

  - ### setWebSessionId

    public void setWebSessionId(String webSessionId)
    Set the web session id/'jsessionid'
    Parameters:
      `webSessionId` -